#ifndef __NNGDEBUGER_H__
#define __NNGDEBUGER_H__

#include <memory>
#include <queue>
#include <thread>

class GPeInput;

class NngDebuger {
public:
    NngDebuger();
    ~NngDebuger();
    void setPeInput(GPeInput *peInput);

protected:
    void run();
    void process(const std::string &message);

private:
    std::shared_ptr<std::thread> m_thread;
    bool m_exit = true;

    GPeInput *m_peInput = nullptr;
};

#endif // __NNGDEBUGER_H__